Printable version

Drivers & software

* RECOMMENDED * HP IO Accelerator for CentOS 5

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Driver - Storage
Version: 3.2.8(3 Nov 2014)
Operating System(s): CentOS 5
Multi-part download
File name: ioSphere_3.9_CentOS-5_HP.tar (51 MB)
File name: VSL328-CentOS5.zip (275 MB)
HP IO Accelerator Install Package version 3.2.8 supports both Generation 1 and Generation 2 HP IO Accelerators cards and contains the driver, utilities, firmware and SNMP agent for these cards. Version 3.2.8 is required for Generation 2 HP IO Accelerators, which have storage capacities of 365 GB, 785 GB, 1.2 TB, 1.6TB, 2.4 TB, 3.0 TB and 3.2TB. Version 3.2.8 is recommended for new installations of Generation 1 HP IO Accelerators, which have storage capacities of 80 GB, 160 GB, 320 GB, 640 GB and 1.28TB. Click the Installation Instructions tab to review the Important notes on upgrade scenarios for these cards.

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Prerequisites:
Important Upgrade Notes::

  • Upgrade Path:  Depending on the current firmware version of the IO Accelerator, multiple firmware updates may be required to preserve internal structures.  The minimum path is:
    •  1.2.4>1.2.7>2.2.0> 2.2.3->3.x.x
  • Version 3.2.2 is the preferred upgrade path from version 2.x.x, allowing customers to obtain the latest software.
    • However, the upgrade from version 2.x to version 3.x.x requires a reformat of the HP IO Accelerator, erasing all user data on the device in the upgrade process.
    • A backup of all data on the HP IO Accelerator is mandatory before installing version 3.x.x
  • Version 2.3.10 (Generation 1 HP IO Accelerator cards only) is recommended only for customers who have an installed base of HP IO Accelerators, which are running version 2.x of the install package, and choose not to upgrade to 3.x.x but still want the features of version 2.3.10.
  • Existing cards will require a firmware upgrade to all cards in the server.  You must manually update the firmware. (See the Firmware Update Procedure in the installation section).
  • Existing IO Accelerators configured with version 2.x.x must be upgraded before installing new 3.x.x IO Accelerator devices in the system.
  • You must first uninstall any previous version before installing this software.  See the procedure in the Installation section or review the installation notes which are included in the HP IO Accelerator User Guide.
  • Back up all important data.
For Red Hat Enterprise release 5 or 6,  Yum must be installed prior to installing the IO Accelerator software.
  • Confirm the following required modules are installed on the build system:
    • kernel (x86-64), kernel-devel (x86-64), rpm-build, rsync, redhat-lsb, gcc, dialog
  • If not installed, use the this command to install all modules
    • $yum install kernel-devel kernel-headers gcc rsync
 For SuSE Linux Enterprise Server 10 and 11, Zypper must be installed prior to installing the IO Accelerator software.
  • Confirm the following required modules are installed on the build system
    • kernel-smp, kernel-source, rsync, lsb, gcc, dialog
  • If not installed, use the this command to install all modules
    • $zypper install kernel-syms gcc rsync make
Driver RPM Build requirements The HP-provided Linux installers for the IO Accelerator contain common binary driver modules. Alternatively, you can build the binary driver RPMs specific to the active Linux kernel by using a source RPM for the driver and compiler/build tools. This allows for the use of customized kernels, but does place additional requirements on the system used for initial installation (e.g. the 'build' system). After performing an installation on the 'build' system, the binary driver RPM can then be deployed to other systems without having to rebuild it.
  • The base modules required for the build system are summarized in the following table:
    • Red Hat Enterprise Linux 5 and 6: kernel (x86-64), kernel-devel (x86-64), rpm-build, rsync, redhat-lsb, gcc, dialog
    • SuSE Linux Enterprise Server 10 and 11: kernel-smp, kernel-source, rsync, lsb, gcc, dialog
  • These modules may have other dependencies that will be installed automatically assuming you are using some type of package manager/installer. The kernel-devel (for Red Hat Enterprise Linux 5 and 6) and kernel-source (for SuSE Linux Enterprise Server) modules must match the kernel version in use.

IO Accelerator Management Interface 
ioSphere 3.9.0 is the latest ioDrive management interface and is included as a seperate download ioSphere_3.9-CentOS-5.tar, it is recommended for use with 3.2.8 and later VSL versions.

  • Unzip and extract the files in ioSphere_3.9-CentOS-5.tar into a common directory
  • Locate the document Fusion-io_ioSphere_3.9.0_Installation_Guide_2014-06-11.pdf
  • Install the management interface using the instructions in the guide

To ensure the integrity of your download, HP recommends verifying your results with the following MD5 Checksum values:

36932a5318553a2b7bb363ee5dc770db ioSphere_3.9_CentOS-5_HP.tar
45acffd5e966bdfc1b23a788d843e3bd VSL328-CentOS5.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The HP IO Accelerator software is downloaded via zip (.rar) file VSL3.2.8_CentOS-5.zip,   Installation instructions are provided below.  
Ensure all previous versions of the software are uninstalled.

VERSION 3.2.8 File 
Firmware file:  ioaccelerator_3.2.8-20140508.fff
FW Version: 7.1.17.116786

I. Installations

  1. Download the filename.rar or .zip file
  2. Unzip and extract the files to a common directory and change to that directory

The directory will contain source (.src), utility, firmware (.fff), library, binaries and reference documents.  
The IO Accelerator driver requires a binary rpm that matches the kernel version.  At least one binary rpm is provided.  To determine your kernel version, type uname -r.
If the binary rpm provided matches the kernel version skip to step 2 below.

HP recommends building the HP IO Accelerator binary driver from a source (src) rpm.  The source (src) rpm is included in the install package files.  

  1) Building the binary rpm.

For SLES10/11 ensure prerequisite packages are installed:

$ zypper install kernel-syms make rpm-build gcc rsync

or for RHEL 5/6 ensure the prerequisite packages are installed:
 

 $ yum install kernel-devel kernel-headers rpm-build gcc rsync

To build the rpm installation package:

$ rpmbuild --rebuild iomemory-vsl-<VSL-version>.src.rpm 

The new RPM package is located in a directory that is indicated in the output from the rpmbuild command.  Look for the "wrote" line.
Example:
...
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-2.6.32.12-0.7-default-3.0.6.368-1.0.x86_64.rpm     [Driver binary rpm file]
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-config-2.6.32.12-0.7-default.3.0.6.368-1.0.x86_64.rpm
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-source-3.0.6.368-1.0.x86_64.rpm
 

Copy the driver binary rpm file to the directory where you downloaded and extracted the rpm files.

    2) Install the following rpms.

$ rpm -Uvh iomemory-vsl-<kernel-version>-<VSL-version>.x86_64.rpm
$ rpm -Uvh lib*.rpm
$ rpm -Uvh fio*.rpm

    3) Reboot the system

$ reboot

Verify the firmware is the latest.   If a firmware update is needed see firmware update section.

$ fio-status -a

The IO Accelerator is ready to be used. 

II. Software Upgrade installation (from a previous version):

CRITICAL WARNING:  Upgrading to this release from prior releases is a one-way process.  ALL DATA must be backed up first before installing this release as this will reformat the IO Accelerator and remove all previous data.    Downgrading from 3.x.x to 2.x.x is not supported. 

  • An upgrade to 3.x.x requires all IO Accelerators within the same system to be upgraded.   
  1. If data is on the IO Accelerator drives, backup all important data on each IO Accelerator.
  2. Uninstall the existing software
  3. Reboot the system.
  4. Go to the New installation section under section I and install the 3.x.x software.    (A reboot and a firmware update will most likely be needed).
  5. Verify the firmware version is the latest.  Use fio-status -a.
  6. Update the firmware and reboot if needed.

      The IO Accelerator should be ready to use and if desired, data can be restored from the backup operation.

III. Firmware Update Procedure:

Notes:

  • This will update all IO Accelerator cards found in the system.  
  • If critical data has not been backed up, back up all data on the IO Accelerator(s).
  • Do not power down during the firmware update procedure.   The firmware update may take a while.  If there is an error in the update process, retry the fio-update-iodrive command.

1. If mounted, unmount all filesystems mounted to every IO Accelerator in the system. 

 Note: The command ‘fio-status –a' will show the number of IO Accelerators in the system
 These show up typically as fctx, where x=0,1,2, etc,  (e.g. fct0)
  Example: # fio-status
                  Found 2 ioDrives in the system
                  Fusion-io driver version: 1.2.7.2

                  fct0       Attached as 'fioa' (block device)
                              HP StorageWorks 160 GB IO Accelerator, Product Number: AJ877A  SN:13599
                              Alt PN: 507151-001
                              Firmware v36867
                  ...

                  fct1      Attached as 'fiob' (block device)
                  ...

   To unmount fioa -># umount /dev/fioa

2. Detach each IO Accelerator ->  fio-detach /dev/fctx , where x = 0, 1, 2
      #  fio-detach /dev/fct0  /dev/fct1
3. Remove the driver from the kernel 
      # modprobe -r fio-driver (for 1.2.x systems) or # modprobe -r iomemory_vsl  (for later systems)
4. Update firmware -> fio-update-iodrive fw_filename , where fw_filename is 'firmware.fff' file
      # fio-update-iodrive  /usr/share/fio/firmware/io_accelerator_107004.fff
5. Power cycle the system  
      # shutdown –h now                 
     Upon boot of the system,  verify the firmware revision -> # fio-status –a

  
IV. Uninstalling Previous software (Software and driver):

 Log in to the system as root or use the su command to gain root access.

1. Ensure that there are no filesystems or RAID volumes mounted to the IO Accelerator.
2. Detach each IO Accelerator ->  fio-detach /dev/fctx , where x = 0, 1, 2
      #  fio-detach /dev/fct0  /dev/fct1
3. Remove the driver from kernel.  Note: If there are unmounted filesystems or RAID volumes that are using the IO Accelerator, the modprobe command might fail.
         a.  for 1.2.x software 
                  # modprobe -r fio-driver fio-port
          b. for 2.x and later software
                  # modprobe -r iomemory_vsl
4. Remove the respective rpm packages for the release on the system.
           To uninstall the 1.2.x rpm packages, run the following commands in order:

# rpm -e iodrive-snmp
# rpm -e iodrive-ini
# rpm -e iodrive-firmware
# rpm -e iodrive-util
# rpm -e iodrive-drive

To uninstall the 2.x and later rpm packages, query for the rpm package name and remove those packages via the "rpm -e filename" command.  See the User Guide for more information.

                        #  rpm -qa | egrep -i 'fio|accelerator|libvsl|iomemory|libfusion')


End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Important:

This software package contains the operating system driver, utilities, SNMP agent, and firmware for HP's IO Accelerator for CentOS 5 x86_64-bit systems.

Known issues/Errata:

  1. It is mandatory that 365GB and 785GB ioDrive2 PCIe stand-up and mezzanine cards be upgraded to 3.1.5/108609 or later 3.x.x version.

  2. It  recommended that all other Generation 1 and 2 stand-up and mezzanine cards upgrade to 3.1.5/108609 or later 3.x.x as soon as possible.
  3. The fio-status and ioManager utilities may show slot number as unavailable on some servers. This is a known issue and will be fixed in a future release.
  4. On the Blade mezzanine IO Accelerator, fio-status –a will show  

  • PCIE slot available power: unavailable
  • External Power: NOT connected

PCIe slot available power and external power available fields do not apply for the c-Class blade mezzanine IO Accelerator.   Sufficient power is provided to the IO Accelerator.   This note will be updated in a future release.


Supported Devices and Features:

HP IO Accelerators for BladeSystem c-Class are designed for two form factors.
 

  • Generation 1 HP IO Accelerators use a Type 1 form factor for HP ProLiant G1-G7 BladeSystem c-Class Servers.
    • Includes IO Accelerator product with part numbers of AJ876A, AJ877A, AJ878A, AJ878B, BK836A
    • Supports either the 2.x.x or the 3.x.x versions of the IO Accelerator software.
    • Is not compatible with HP ProLiant Gen8 BladeSystem c-Class servers.
  • Generation 2 HP IO Accelerator use a Type B form factor for HP ProLiant Gen8 BladeSystem c-Class Servers
    • Includes IO Accelerator product with part numbers of QK761A, QK762A, and QK763A
    • Requires IO Accelerator Software version 3.1.1 or greater
    • Is not compatible with HP ProLiant G1-G7 BladeSystem c-Class servers.

HP IO Accelerators for ProLiant Servers.
 

  • Generation 1 HP IO Accelerators for HP ProLiant Servers.
    • Includes IO Accelerator product with part numbers of 600278-B21, 600279-B21, 600280-B21, 600281-B21, 641027-B21
    • Supports either the 2.x.x or the 3.x.x versions of the IO Accelerator software.
    • Is compatible with supported HP ProLiant G6-Gen8 servers
  • Generation 2 HP IO Accelerators for HP ProLiant Servers.
    • Includes IO Accelerator product with part numbers of 673642-B21, 673644-B21, 673646-B21, 673648-B21, 721458-B21, 740320-B21, 740322-B21  
    • Supports the 3.x.x versions of the IO Accelerator software.
    • Is compatible with supported HP ProLiant G6-Gen8 servers

IO Accelerator Software version 3.2.8 supports the following Operating Systems:
 

  • Microsoft Windows Server 2012 x64, R2
  • Microsoft Windows Server 2008 x64, R2
  • Red Hat Enterprise Linux 5, 6 (AMD64/EM64T)
  • SUSE Linux Enterprise Server (SLES) 11 (AMD64/EM64T)
  • VMware ESXi 5.x/5.5
  • OEL 5, 6
  • CentOS 5, 6
  • Solaris 10, 11
  • Ubuntu 12

 


This software package contains the operating system driver, utilities, SNMP agent, and firmware for HP's IO Accelerator for CentOS 5 x86_64-bit systems.

Known issues/Errata:

  1. It is mandatory that 365GB and 785GB ioDrive2 PCIe stand-up and mezzanine cards be upgraded to 3.1.5/108609 or later 3.x.x version.

  2. It  recommended that all other Generation 1 and 2 stand-up and mezzanine cards upgrade to 3.1.5/108609 or later 3.x.x as soon as possible.
  3. The fio-status and ioManager utilities may show slot number as unavailable on some servers. This is a known issue and will be fixed in a future release.
  4. On the Blade mezzanine IO Accelerator, fio-status –a will show  

  • PCIE slot available power: unavailable
  • External Power: NOT connected

PCIe slot available power and external power available fields do not apply for the c-Class blade mezzanine IO Accelerator.   Sufficient power is provided to the IO Accelerator.   This note will be updated in a future release.

Version:3.2.14 (24 Jan 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.14_Release_Notes<date>.pdf

Enhancements

Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.14_Release_Notes<date>.pdf


Version:3.2.11 (14 Jun 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.11_Release_Notes<date>.pdf

Enhancements

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.8 (3 Nov 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.6 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.4 (21 Aug 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.3 (15 Feb 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Added support for 3.0TB MLC IO Accelerator for ProLiant

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.2 (7 Jan 2013)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


VSL 3.1.5 and later versions address premature retirement of erase blocks issue on Gen2 stand-up and mezzanine cards with capacities 365/785GB.  Erase blocks are normally retired when fully utilized to ensure consistent performance over the life of the device. When the erase blocks are prematurely retired, they are not fully utilized and the life of the device can be shortened significantly after 2 or more years of use. This firmware corrects the premature retirement of erase blocks on the affected cards - 365/785GB capacities. The blocks that are already retired are not recovered with this fix, the impact of retired blocks is insignificant for a short duration (i.e. 6-12 months).

Enhancements

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for Proliant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for Proliant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for Proliant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:2.3.1 (14 Sep 2011)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Problems Fixed:

  • Long metadata rebuild times, which are due to slow rescan times, are resolved with 2.3.1 driver
Enhancements

Enhancements/New Features:
This software bundle release provides 2.3.1 drivers with updated firmware 101971_4. The package revision is 2.3.1

This release adds support for the following environments:

  • Red Hat Enterprise Linux 4.9
  • Red Hat Enterprise Linux 5.6
  • Red Hat Enterprise Linux 6.1
  • Solaris 10
  • VMware ESXi 4.1

Version:2.2.3 (10 Mar 2011)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Fixes

The 2.2.3 driver corrects the following issues:

  1. The drive usage statistics are improperly cleared after a firmware upgrade.
  2. The previous 2.2.x driver installation and firmware upgrade can cause a corner case mid prom corruption on the 160GB and 320GB ioDrives only. 

Type: Driver - Storage
Version: 3.2.8(3 Nov 2014)
Operating System(s):
CentOS 5

Description

HP IO Accelerator Install Package version 3.2.8 supports both Generation 1 and Generation 2 HP IO Accelerators cards and contains the driver, utilities, firmware and SNMP agent for these cards. Version 3.2.8 is required for Generation 2 HP IO Accelerators, which have storage capacities of 365 GB, 785 GB, 1.2 TB, 1.6TB, 2.4 TB, 3.0 TB and 3.2TB. Version 3.2.8 is recommended for new installations of Generation 1 HP IO Accelerators, which have storage capacities of 80 GB, 160 GB, 320 GB, 640 GB and 1.28TB. Click the Installation Instructions tab to review the Important notes on upgrade scenarios for these cards.

Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Installation Instructions

Prerequisites:
Important Upgrade Notes::

  • Upgrade Path:  Depending on the current firmware version of the IO Accelerator, multiple firmware updates may be required to preserve internal structures.  The minimum path is:
    •  1.2.4>1.2.7>2.2.0> 2.2.3->3.x.x
  • Version 3.2.2 is the preferred upgrade path from version 2.x.x, allowing customers to obtain the latest software.
    • However, the upgrade from version 2.x to version 3.x.x requires a reformat of the HP IO Accelerator, erasing all user data on the device in the upgrade process.
    • A backup of all data on the HP IO Accelerator is mandatory before installing version 3.x.x
  • Version 2.3.10 (Generation 1 HP IO Accelerator cards only) is recommended only for customers who have an installed base of HP IO Accelerators, which are running version 2.x of the install package, and choose not to upgrade to 3.x.x but still want the features of version 2.3.10.
  • Existing cards will require a firmware upgrade to all cards in the server.  You must manually update the firmware. (See the Firmware Update Procedure in the installation section).
  • Existing IO Accelerators configured with version 2.x.x must be upgraded before installing new 3.x.x IO Accelerator devices in the system.
  • You must first uninstall any previous version before installing this software.  See the procedure in the Installation section or review the installation notes which are included in the HP IO Accelerator User Guide.
  • Back up all important data.
For Red Hat Enterprise release 5 or 6,  Yum must be installed prior to installing the IO Accelerator software.
  • Confirm the following required modules are installed on the build system:
    • kernel (x86-64), kernel-devel (x86-64), rpm-build, rsync, redhat-lsb, gcc, dialog
  • If not installed, use the this command to install all modules
    • $yum install kernel-devel kernel-headers gcc rsync
 For SuSE Linux Enterprise Server 10 and 11, Zypper must be installed prior to installing the IO Accelerator software.
  • Confirm the following required modules are installed on the build system
    • kernel-smp, kernel-source, rsync, lsb, gcc, dialog
  • If not installed, use the this command to install all modules
    • $zypper install kernel-syms gcc rsync make
Driver RPM Build requirements The HP-provided Linux installers for the IO Accelerator contain common binary driver modules. Alternatively, you can build the binary driver RPMs specific to the active Linux kernel by using a source RPM for the driver and compiler/build tools. This allows for the use of customized kernels, but does place additional requirements on the system used for initial installation (e.g. the 'build' system). After performing an installation on the 'build' system, the binary driver RPM can then be deployed to other systems without having to rebuild it.
  • The base modules required for the build system are summarized in the following table:
    • Red Hat Enterprise Linux 5 and 6: kernel (x86-64), kernel-devel (x86-64), rpm-build, rsync, redhat-lsb, gcc, dialog
    • SuSE Linux Enterprise Server 10 and 11: kernel-smp, kernel-source, rsync, lsb, gcc, dialog
  • These modules may have other dependencies that will be installed automatically assuming you are using some type of package manager/installer. The kernel-devel (for Red Hat Enterprise Linux 5 and 6) and kernel-source (for SuSE Linux Enterprise Server) modules must match the kernel version in use.

IO Accelerator Management Interface 
ioSphere 3.9.0 is the latest ioDrive management interface and is included as a seperate download ioSphere_3.9-CentOS-5.tar, it is recommended for use with 3.2.8 and later VSL versions.

  • Unzip and extract the files in ioSphere_3.9-CentOS-5.tar into a common directory
  • Locate the document Fusion-io_ioSphere_3.9.0_Installation_Guide_2014-06-11.pdf
  • Install the management interface using the instructions in the guide

To ensure the integrity of your download, HP recommends verifying your results with the following MD5 Checksum values:

36932a5318553a2b7bb363ee5dc770db ioSphere_3.9_CentOS-5_HP.tar
45acffd5e966bdfc1b23a788d843e3bd VSL328-CentOS5.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

The HP IO Accelerator software is downloaded via zip (.rar) file VSL3.2.8_CentOS-5.zip,   Installation instructions are provided below.  
Ensure all previous versions of the software are uninstalled.

VERSION 3.2.8 File 
Firmware file:  ioaccelerator_3.2.8-20140508.fff
FW Version: 7.1.17.116786

I. Installations

  1. Download the filename.rar or .zip file
  2. Unzip and extract the files to a common directory and change to that directory

The directory will contain source (.src), utility, firmware (.fff), library, binaries and reference documents.  
The IO Accelerator driver requires a binary rpm that matches the kernel version.  At least one binary rpm is provided.  To determine your kernel version, type uname -r.
If the binary rpm provided matches the kernel version skip to step 2 below.

HP recommends building the HP IO Accelerator binary driver from a source (src) rpm.  The source (src) rpm is included in the install package files.  

  1) Building the binary rpm.

For SLES10/11 ensure prerequisite packages are installed:

$ zypper install kernel-syms make rpm-build gcc rsync

or for RHEL 5/6 ensure the prerequisite packages are installed:
 

 $ yum install kernel-devel kernel-headers rpm-build gcc rsync

To build the rpm installation package:

$ rpmbuild --rebuild iomemory-vsl-<VSL-version>.src.rpm 

The new RPM package is located in a directory that is indicated in the output from the rpmbuild command.  Look for the "wrote" line.
Example:
...
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-2.6.32.12-0.7-default-3.0.6.368-1.0.x86_64.rpm     [Driver binary rpm file]
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-config-2.6.32.12-0.7-default.3.0.6.368-1.0.x86_64.rpm
Wrote: /usr/src/packages/RPMS/x86_64/iomemory-vsl-source-3.0.6.368-1.0.x86_64.rpm
 

Copy the driver binary rpm file to the directory where you downloaded and extracted the rpm files.

    2) Install the following rpms.

$ rpm -Uvh iomemory-vsl-<kernel-version>-<VSL-version>.x86_64.rpm
$ rpm -Uvh lib*.rpm
$ rpm -Uvh fio*.rpm

    3) Reboot the system

$ reboot

Verify the firmware is the latest.   If a firmware update is needed see firmware update section.

$ fio-status -a

The IO Accelerator is ready to be used. 

II. Software Upgrade installation (from a previous version):

CRITICAL WARNING:  Upgrading to this release from prior releases is a one-way process.  ALL DATA must be backed up first before installing this release as this will reformat the IO Accelerator and remove all previous data.    Downgrading from 3.x.x to 2.x.x is not supported. 

  • An upgrade to 3.x.x requires all IO Accelerators within the same system to be upgraded.   
  1. If data is on the IO Accelerator drives, backup all important data on each IO Accelerator.
  2. Uninstall the existing software
  3. Reboot the system.
  4. Go to the New installation section under section I and install the 3.x.x software.    (A reboot and a firmware update will most likely be needed).
  5. Verify the firmware version is the latest.  Use fio-status -a.
  6. Update the firmware and reboot if needed.

      The IO Accelerator should be ready to use and if desired, data can be restored from the backup operation.

III. Firmware Update Procedure:

Notes:

  • This will update all IO Accelerator cards found in the system.  
  • If critical data has not been backed up, back up all data on the IO Accelerator(s).
  • Do not power down during the firmware update procedure.   The firmware update may take a while.  If there is an error in the update process, retry the fio-update-iodrive command.

1. If mounted, unmount all filesystems mounted to every IO Accelerator in the system. 

 Note: The command ‘fio-status –a' will show the number of IO Accelerators in the system
 These show up typically as fctx, where x=0,1,2, etc,  (e.g. fct0)
  Example: # fio-status
                  Found 2 ioDrives in the system
                  Fusion-io driver version: 1.2.7.2

                  fct0       Attached as 'fioa' (block device)
                              HP StorageWorks 160 GB IO Accelerator, Product Number: AJ877A  SN:13599
                              Alt PN: 507151-001
                              Firmware v36867
                  ...

                  fct1      Attached as 'fiob' (block device)
                  ...

   To unmount fioa -># umount /dev/fioa

2. Detach each IO Accelerator ->  fio-detach /dev/fctx , where x = 0, 1, 2
      #  fio-detach /dev/fct0  /dev/fct1
3. Remove the driver from the kernel 
      # modprobe -r fio-driver (for 1.2.x systems) or # modprobe -r iomemory_vsl  (for later systems)
4. Update firmware -> fio-update-iodrive fw_filename , where fw_filename is 'firmware.fff' file
      # fio-update-iodrive  /usr/share/fio/firmware/io_accelerator_107004.fff
5. Power cycle the system  
      # shutdown –h now                 
     Upon boot of the system,  verify the firmware revision -> # fio-status –a

  
IV. Uninstalling Previous software (Software and driver):

 Log in to the system as root or use the su command to gain root access.

1. Ensure that there are no filesystems or RAID volumes mounted to the IO Accelerator.
2. Detach each IO Accelerator ->  fio-detach /dev/fctx , where x = 0, 1, 2
      #  fio-detach /dev/fct0  /dev/fct1
3. Remove the driver from kernel.  Note: If there are unmounted filesystems or RAID volumes that are using the IO Accelerator, the modprobe command might fail.
         a.  for 1.2.x software 
                  # modprobe -r fio-driver fio-port
          b. for 2.x and later software
                  # modprobe -r iomemory_vsl
4. Remove the respective rpm packages for the release on the system.
           To uninstall the 1.2.x rpm packages, run the following commands in order:

# rpm -e iodrive-snmp
# rpm -e iodrive-ini
# rpm -e iodrive-firmware
# rpm -e iodrive-util
# rpm -e iodrive-drive

To uninstall the 2.x and later rpm packages, query for the rpm package name and remove those packages via the "rpm -e filename" command.  See the User Guide for more information.

                        #  rpm -qa | egrep -i 'fio|accelerator|libvsl|iomemory|libfusion')


Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Important:

This software package contains the operating system driver, utilities, SNMP agent, and firmware for HP's IO Accelerator for CentOS 5 x86_64-bit systems.

Known issues/Errata:

  1. It is mandatory that 365GB and 785GB ioDrive2 PCIe stand-up and mezzanine cards be upgraded to 3.1.5/108609 or later 3.x.x version.

  2. It  recommended that all other Generation 1 and 2 stand-up and mezzanine cards upgrade to 3.1.5/108609 or later 3.x.x as soon as possible.
  3. The fio-status and ioManager utilities may show slot number as unavailable on some servers. This is a known issue and will be fixed in a future release.
  4. On the Blade mezzanine IO Accelerator, fio-status –a will show  

  • PCIE slot available power: unavailable
  • External Power: NOT connected

PCIe slot available power and external power available fields do not apply for the c-Class blade mezzanine IO Accelerator.   Sufficient power is provided to the IO Accelerator.   This note will be updated in a future release.


Supported Devices and Features:

HP IO Accelerators for BladeSystem c-Class are designed for two form factors.
 

  • Generation 1 HP IO Accelerators use a Type 1 form factor for HP ProLiant G1-G7 BladeSystem c-Class Servers.
    • Includes IO Accelerator product with part numbers of AJ876A, AJ877A, AJ878A, AJ878B, BK836A
    • Supports either the 2.x.x or the 3.x.x versions of the IO Accelerator software.
    • Is not compatible with HP ProLiant Gen8 BladeSystem c-Class servers.
  • Generation 2 HP IO Accelerator use a Type B form factor for HP ProLiant Gen8 BladeSystem c-Class Servers
    • Includes IO Accelerator product with part numbers of QK761A, QK762A, and QK763A
    • Requires IO Accelerator Software version 3.1.1 or greater
    • Is not compatible with HP ProLiant G1-G7 BladeSystem c-Class servers.

HP IO Accelerators for ProLiant Servers.
 

  • Generation 1 HP IO Accelerators for HP ProLiant Servers.
    • Includes IO Accelerator product with part numbers of 600278-B21, 600279-B21, 600280-B21, 600281-B21, 641027-B21
    • Supports either the 2.x.x or the 3.x.x versions of the IO Accelerator software.
    • Is compatible with supported HP ProLiant G6-Gen8 servers
  • Generation 2 HP IO Accelerators for HP ProLiant Servers.
    • Includes IO Accelerator product with part numbers of 673642-B21, 673644-B21, 673646-B21, 673648-B21, 721458-B21, 740320-B21, 740322-B21  
    • Supports the 3.x.x versions of the IO Accelerator software.
    • Is compatible with supported HP ProLiant G6-Gen8 servers

IO Accelerator Software version 3.2.8 supports the following Operating Systems:
 

  • Microsoft Windows Server 2012 x64, R2
  • Microsoft Windows Server 2008 x64, R2
  • Red Hat Enterprise Linux 5, 6 (AMD64/EM64T)
  • SUSE Linux Enterprise Server (SLES) 11 (AMD64/EM64T)
  • VMware ESXi 5.x/5.5
  • OEL 5, 6
  • CentOS 5, 6
  • Solaris 10, 11
  • Ubuntu 12

 


Important

This software package contains the operating system driver, utilities, SNMP agent, and firmware for HP's IO Accelerator for CentOS 5 x86_64-bit systems.

Known issues/Errata:

  1. It is mandatory that 365GB and 785GB ioDrive2 PCIe stand-up and mezzanine cards be upgraded to 3.1.5/108609 or later 3.x.x version.

  2. It  recommended that all other Generation 1 and 2 stand-up and mezzanine cards upgrade to 3.1.5/108609 or later 3.x.x as soon as possible.
  3. The fio-status and ioManager utilities may show slot number as unavailable on some servers. This is a known issue and will be fixed in a future release.
  4. On the Blade mezzanine IO Accelerator, fio-status –a will show  

  • PCIE slot available power: unavailable
  • External Power: NOT connected

PCIe slot available power and external power available fields do not apply for the c-Class blade mezzanine IO Accelerator.   Sufficient power is provided to the IO Accelerator.   This note will be updated in a future release.

Revision History

Version:3.2.14 (24 Jan 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.14_Release_Notes<date>.pdf

Enhancements

Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.14_Release_Notes<date>.pdf


Version:3.2.11 (14 Jun 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Extract the contents from the downloaded zip (tar) file.  Important release notes are contained in ioMemory_VSL_3.2.11_Release_Notes<date>.pdf

Enhancements

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.8 (3 Nov 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.6 (18 Feb 2014)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant
  • 740320-B21 1.6TB MLC IO Accelerator ioScale2 for Proliant
  • 740322-B21 3.2TB MLC IO Accelerator ioScale2 for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.4 (21 Aug 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.3 (15 Feb 2013)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Added support for 3.0TB MLC IO Accelerator for ProLiant

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for ProLiant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for ProLiant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for ProLiant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for ProLiant
  • 721458-B21 3.0TB MLC IO Accelerator Gen2 for ProLiant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 Duo for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 Duo for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:3.2.2 (7 Jan 2013)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


VSL 3.1.5 and later versions address premature retirement of erase blocks issue on Gen2 stand-up and mezzanine cards with capacities 365/785GB.  Erase blocks are normally retired when fully utilized to ensure consistent performance over the life of the device. When the erase blocks are prematurely retired, they are not fully utilized and the life of the device can be shortened significantly after 2 or more years of use. This firmware corrects the premature retirement of erase blocks on the affected cards - 365/785GB capacities. The blocks that are already retired are not recovered with this fix, the impact of retired blocks is insignificant for a short duration (i.e. 6-12 months).

Enhancements

This release supports the Generation 2 versions of the  IO Accelerator for BladeSystem c-Class and ProLiant servers, which includes the following models: 

  • QK761A, 365 GB MLC IO Accelerator for BladeSystem c-Class
  • QK762A, 785 GB MLC IO Accelerator for BladeSystem c-Class
  • QK763A, 1205 GB MLC IO Accelerator for BladeSystem c-Class
  • 673642-B21  365 GB MLC IO Accelerator Gen2 for Proliant
  • 673644-B21  785 GB MLC IO Accelerator Gen2 for Proliant
  • 673646-B21 1205 GB MLC IO Accelerator Gen2 for Proliant
  • 673648-B21 2410 GB MLC IO Accelerator Gen2 Duo for Proliant

This release also provides a one-way upgrade path for Generation 1 IO Accelerators for HP BladeSystem c-Class G1-G7 servers, and ProLiant servers which include the following models:

  • AJ876A, 80 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ877A 160 GB SLC IO Accelerator for BladeSystem c-Class
  • AJ878A, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • AJ878B, 320 GB MLC IO Accelerator for BladeSystem c-Class
  • BK836A, 640 GB MLC IO Accelerator for BladeSystem c-Class
  • 600278-B21  160 GB SLC IO Accelerator Gen1 for ProLiant
  • 600279-B21  320 GB SLC IO Accelerator Gen1 for ProLiant
  • 600281-B21  320 GB MLC IO Accelerator Gen1 for ProLiant
  • 600282-B21  640 GB MLC IO Accelerator Gen1 for ProLiant
  • 641027-B21 1280 GB MLC IO Accelerator Gen1 Duo for ProLiant

Version:2.3.1 (14 Sep 2011)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Problems Fixed:

  • Long metadata rebuild times, which are due to slow rescan times, are resolved with 2.3.1 driver
Enhancements

Enhancements/New Features:
This software bundle release provides 2.3.1 drivers with updated firmware 101971_4. The package revision is 2.3.1

This release adds support for the following environments:

  • Red Hat Enterprise Linux 4.9
  • Red Hat Enterprise Linux 5.6
  • Red Hat Enterprise Linux 6.1
  • Solaris 10
  • VMware ESXi 4.1

Version:2.2.3 (10 Mar 2011)
Fixes

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


Fixes

The 2.2.3 driver corrects the following issues:

  1. The drive usage statistics are improperly cleared after a firmware upgrade.
  2. The previous 2.2.x driver installation and firmware upgrade can cause a corner case mid prom corruption on the 160GB and 320GB ioDrives only. 

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.